#ifndef FINDRESULTWIDGET_H 
#define FINDRESULTWIDGET_H

#include <QWidget>

class QTreeView;
class QPushButton;
class FindResultModel;

class FindResultWidget: public QWidget
{
	Q_OBJECT

public:
	FindResultWidget (QWidget *parent=NULL);

public slots:	
	void popup();
	void cancelPressed();

protected:
	virtual void hideEvent (QHideEvent *event);


signals:
	void hideFindResultWidget();

private:
	FindResultModel *model;
	QTreeView *view;
	QPushButton *cancelbutton;
};

#endif

